ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
odf.element.Text Class Reference
Inheritance diagram for odf.element.Text:
[legend]
Collaboration diagram for odf.element.Text:
[legend]

## Public Member Functions
def | __init__
def | __str__
def | __unicode__
def | toXml
| Write XML in UTF-8. More...
Public Member Functions inherited from odf.element.Childless
def | appendChild
| Raises an error. More...
def | hasChildNodes
def | insertBefore
| Raises an error. More...
def | removeChild
| Raises an error. More...
def | replaceChild
| Raises an error. More...
Public Member Functions inherited from odf.element.Node
def | hasChildNodes
| Tells whether this element has any children; text nodes, subelements, whatever. More...
def | insertBefore
| Inserts the node newChild before the existing child node refChild. More...
def | appendChild
| Adds the node newChild to the end of the list of children of this node. More...
def | removeChild
| Removes the child node indicated by oldChild from the list of children, and returns it. More...
def | __str__
def | __unicode__

## Public Attributes
| data

## Static Public Attributes
| nodeType = Node.TEXT_NODE
string | tagName = "Text"
Static Public Attributes inherited from odf.element.Childless
| attributes = None
tuple | childNodes = EmptyNodeList()
| firstChild = None
| lastChild = None
Static Public Attributes inherited from odf.element.Node
| parentNode = None
| nextSibling = None
| previousSibling = None

## Detailed Description

Definition at line 261 of file element.py.

## Constructor & Destructor Documentation

def odf.element.Text.__init__ | ( |  | self,
|  |  | data
| ) |  |

Definition at line 265 of file element.py.

## Member Function Documentation

def odf.element.Text.__str__ | ( |  | self | ) |

Definition at line 268 of file element.py.

def odf.element.Text.__unicode__ | ( |  | self | ) |

Definition at line 271 of file element.py.

def odf.element.Text.toXml | ( |  | self,
|  |  | level,
|  |  | f
| ) |  |

Write XML in UTF-8.

Definition at line 276 of file element.py.

## Member Data Documentation

odf.element.Text.data

Definition at line 266 of file element.py.

odf.element.Text.nodeType = Node.TEXT_NODE
| static

Definition at line 262 of file element.py.

string odf.element.Text.tagName = "Text"
| static

Definition at line 263 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py